Bug 435466 - Rgmanager shows wrong service status in restricted failover domain
Rgmanager shows wrong service status in restricted failover domain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.1
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 10:16 EST by Agnieszka Kukalowicz
Modified: 2010-10-22 18:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:56:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pass 1 patch (10.16 KB, patch)
2008-07-25 13:40 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Agnieszka Kukalowicz 2008-02-29 10:16:32 EST
Description of problem:
Rgmanager shows that service configured in one node restricted failover domain 
is "started" even when the node the service is running on was fencing.

Version-Release number of selected component (if applicable):
rgmanager-2.0.31-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Configure service in one node restricted failover domain
2. Power off the node service is running on
3. On the other cluster node do "clustat"
4. Clustat shows the service is "started"
  
Cluster before the node is down:

Member Status: Quorate

  Member Name                        ID   Status
  ------ ----                        ---- ------
  w2.local		                    1 Online, Local, rgmanager
  w1.local		                    2 Online, rgmanager

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  vm:VM_Work11_RHEL51  w1.local		started
  vm:VM_Work21_RHEL51  w2.local		            started


Actual results:


Expected results:


Additional info:
Comment 1 Agnieszka Kukalowicz 2008-02-29 10:20:51 EST
Description of problem:
Rgmanager shows that service configured in one node restricted failover domain 
is "started" even when the node the service is running on was fencing.

Version-Release number of selected component (if applicable):
rgmanager-2.0.31-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Configure service in one node restricted failover domain
2. Power off the node service is running on
3. On the other cluster node do "clustat"
4. Clustat shows the service is "started"

Additional info:
  
Cluster before the node is down:
Member Status: Quorate

  Member Name                        ID   Status
  ------ ----                        ---- ------
  w2.local		                    1 Online, Local, rgmanager
  w1.local		                    2 Online, rgmanager

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  vm:VM_Work11_RHEL51  w1.local		started
  vm:VM_Work21_RHEL51  w2.local		            started


Cluster after node is down:
Member Status: Quorate

  Member Name                        ID   Status
  ------ ----                        ---- ------
  w2.local.polska.pl                    1 Offline
  w1.local.polska.pl                    2 Online, Local, rgmanager

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  vm:VM_Work11_RHEL51  w1.local.polska.pl             started
  vm:VM_Work21_RHEL51  w2.local.polska.pl             started

Cluster configuration in /etc/cluster/cluster.conf:
<rm>
  <failoverdomains>
    <failoverdomain name="VM_w1_failover" ordered="0" restricted="1">
        <failoverdomainnode name="w1.local" priority="1"/>
    </failoverdomain>
    <failoverdomain name="VM_w2_failover" ordered="0" restricted="1">
        <failoverdomainnode name="w2.local" priority="1"/>

    </failoverdomain>
  </failoverdomains>
  <resources/>
  <vm autostart="1" domain="VM_w1_failover" exclusive="0" 
name="VM_Work11_RHEL51" path="/virts/w11" recovery="restart"/>
  <vm autostart="1" domain="VM_w2_failover" exclusive="0" 
name="VM_Work21_RHEL51" path="/virts/w21" recovery="restart"/>
</rm>
Comment 2 Lon Hohberger 2008-02-29 13:22:25 EST
The code says it's known - but the behavior's certainly not right.  It's not
difficult to fix.

Notes: 
 * One fix needs to be in groups.c in eval_services()
 * One fix needs to go into default_event_script.sl
Comment 4 RHEL Product and Program Management 2008-06-04 18:46:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Lon Hohberger 2008-07-25 13:40:12 EDT
Created attachment 312662 [details]
Pass 1 patch

Tested, but needs more testing when central_processing is enabled.  This also
fixes #428108
Comment 6 Lon Hohberger 2008-07-25 13:58:50 EDT
Note - it doesn't apply against RHEL4 branch; so my comment about it fixing
428108 is misleading
Comment 12 errata-xmlrpc 2009-01-20 15:56:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0101.html

Note You need to log in before you can comment on or make changes to this bug.